#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(srp_tmo_valid, "_gpl", "");
KSYMTAB_FUNC(srp_parse_tmo, "", "");
KSYMTAB_FUNC(srp_start_tl_fail_timers, "", "");
KSYMTAB_FUNC(srp_reconnect_rport, "", "");
KSYMTAB_FUNC(srp_timed_out, "", "");
KSYMTAB_FUNC(srp_rport_get, "", "");
KSYMTAB_FUNC(srp_rport_put, "", "");
KSYMTAB_FUNC(srp_rport_add, "_gpl", "");
KSYMTAB_FUNC(srp_rport_del, "_gpl", "");
KSYMTAB_FUNC(srp_remove_host, "_gpl", "");
KSYMTAB_FUNC(srp_stop_rport_timers, "_gpl", "");
KSYMTAB_FUNC(srp_attach_transport, "_gpl", "");
KSYMTAB_FUNC(srp_release_transport, "_gpl", "");

SYMBOL_CRC(srp_tmo_valid, 0x1902178a, "_gpl");
SYMBOL_CRC(srp_parse_tmo, 0x405b6e05, "");
SYMBOL_CRC(srp_start_tl_fail_timers, 0xe2470e0d, "");
SYMBOL_CRC(srp_reconnect_rport, 0x3eff65e2, "");
SYMBOL_CRC(srp_timed_out, 0x5a40d367, "");
SYMBOL_CRC(srp_rport_get, 0xffb0dd5e, "");
SYMBOL_CRC(srp_rport_put, 0x0e10aca4, "");
SYMBOL_CRC(srp_rport_add, 0x5ea48afa, "_gpl");
SYMBOL_CRC(srp_rport_del, 0xe96868ab, "_gpl");
SYMBOL_CRC(srp_remove_host, 0xc0055db6, "_gpl");
SYMBOL_CRC(srp_stop_rport_timers, 0x8a312f4c, "_gpl");
SYMBOL_CRC(srp_attach_transport, 0xd1ccdaa4, "_gpl");
SYMBOL_CRC(srp_release_transport, 0x902de443, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x2fad8d7b, "device_for_each_child" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xe16b094c, "put_device" },
	{ 0x37a0cba, "kfree" },
	{ 0xe127bd74, "get_device" },
	{ 0x3d3f430, "transport_remove_device" },
	{ 0xa21e5f9c, "device_del" },
	{ 0xbec5f8d9, "transport_destroy_device" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xd19c96de, "transport_class_register" },
	{ 0xe760122c, "transport_class_unregister" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0xe61a6d75, "kmalloc_caches" },
	{ 0x29977925, "kmalloc_trace" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x69811386, "device_initialize" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xaedc350b, "dev_set_name" },
	{ 0xfe8054fd, "transport_setup_device" },
	{ 0x15961654, "device_add" },
	{ 0xa0b272c4, "transport_add_device" },
	{ 0xe2ff241e, "transport_configure_device" },
	{ 0xc2ce3f1f, "attribute_container_register" },
	{ 0x4f5df2cc, "attribute_container_unregister" },
	{ 0x8d158c1a, "scsi_is_host_device" },
	{ 0x8dea14ab, "scsi_target_unblock" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0x122c3a7e, "_printk" },
	{ 0xee86dc03, "scsi_block_targets" },
	{ 0x131db64a, "system_long_wq" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x89940875, "mutex_lock_interruptible" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0x73a9e734, "__scsi_iterate_devices" },
	{ 0xdba5c481, "_dev_printk" },
	{ 0x17608925, "module_layout" },
};

MODULE_INFO(depends, "");

